# Reactor_Impl.h File Reference

`#include "ace/Timer_Queuefwd.h"`
`#include "ace/Event_Handler.h"`
`#include "ace/Countdown_Time.h"`

Include dependency graph for Reactor_Impl.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Reactor_Notify
| Abstract class for unblocking an <ace_reactor_impl> from its event loop. More...
class | ACE_Reactor_Impl
| An abstract class for implementing the Reactor Pattern. More...

## Detailed Description

Id
  Reactor_Impl.h,v 4.51 2006/02/10 10:17:22 jwillemsen Exp

Author:
  Irfan Pyarali